/*
 * Copyright 2002-2013 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package org.springframework.data.gemfire.repository.sample;

import javax.annotation.Resource;

import org.springframework.beans.factory.InitializingBean;

import com.gemstone.gemfire.cache.Region;

/**
 * @author David Turanski
 *
 */
public class RegionPopulator implements InitializingBean {
	@Resource(name="region")
	Region<Object,Object> region;

	/* (non-Javadoc)
	 * @see org.springframework.beans.factory.InitializingBean#afterPropertiesSet()
	 */
	@Override
	public void afterPropertiesSet() throws Exception {
		region.put(1L,new Person(1L,"first1", "last1"));
		region.put(2L,new Person(2L,"first2", "last2"));
		
	}
	
	public void setRegion(Region<Object,Object> region) {
		this.region=region;
	}
	
}
